var alias = (function() {
    var points;
    var inPlay = false;
    var SIXTY_SECONDS = 60 * 1000;

    return {
        getPoints: function() {
            return this.points;
        },
        newGame: function() {
            this.points = 0;
            this.inPlay = true;

            setTimeout(function() {
                alias.endGame();
            },
            this.SIXTY_SECONDS);
        },
        correctWord: function() {
            if (this.inPlay == true) {
                this.points = this.points + 1;
            };
        },
        skipWord: function() {
            if (this.inPlay == true) {
                this.points = this.points - 1;
            };
        },
        endGame: function() {
            this.inPlay = false;
        },
        newWord: function() {
            db.getNextWord();
        }
    };

})();

