var lastResponse;

function createXmlHttpRequest () {
	var xmlHttp;
	if(window.XMLHttpRequest){
		xmlHttp = new XMLHttpRequest();
	}else {
		try {
		  xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
		 } catch(e) {
		  try {
		   xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
		  } catch (e) {
		   throw(e);
		  }
		 }
	};
	return xmlHttp;
};


function fetchTrends (xhr) {
	xhr.onreadystatechange = function () {
		if(xhr.readyState == 4 ){
			if (xhr.status == 200) {
				console.log('response !== tomstreng' + xhr.responseText)
				lastResponse = saveLastResponse(xhr.responseText);
			}else{
				console.log('status :' + xhr.status)
				lastResponse = saveLastResponse(null);
			};
			console.log('utenforifelse');	
		};
		console.log('rs = '+ xhr.readyState);
	};
	
	xhr.open('GET', 'http://api.twitter.com/1/trends.json', true)
	xhr.send();
};

function printTrends () {
	var topTwo = [];
	try {
			var parsedLastResponse = JSON.parse(lastResponse.get());
	}catch(er){
		if(er.name == 'EmptyResponseException' ){
			return 'Unable to retrieve a response from Twitter';
		}
	}
	for (var i=0; i < 2; i++) {
		topTwo[i] = parsedLastResponse.trends[i].name;
	};
	return topTwo;
}

function saveLastResponse (response) {
	var lastResponse = response;
	return { get : function () {
				if(lastResponse !== null){
					return lastResponse;
				}else{
					throw {name: 'EmptyResponseException' , message: 'Unable to retrieve a response from Twitter'};
				};
				}
			};
};

lastResponse = saveLastResponse('');