TestCase("dom interaction", {
	setUp: function(){
		/*:DOC += <div id="text">SomeContent</div> */
	},
	"test find a node in body with id text": function(){
		var node = fetchNode();
		assertEquals('text', node.id);
	},
	"test node has text content SomeContent": function(){
		var node = fetchNode();
		assertEquals('SomeContent', node.innerText);
	},
	"test change content of node through innerText": function(){
		var node = fetchNode();
		node.updateText("innerText");
		assertEquals("innerText", node.innerText);
	}
});
