var trends; 
var lastCall;

function createXmlHttpRequest() {
	var xmlhttp;
	if(window.XMLHttpRequest){
		xmlhttp =  new XMLHttpRequest();
	}	
	else if (window.ActiveXObject) {
	try {
	  xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	 } catch(e) {
	  try {
	   xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	  } catch (e) {
	   throw(e);
	  }
	 }
	};
	return xmlhttp;
};

var fetchTrends = function () {
	var xmlhttp = createXmlHttpRequest();
	
	xmlhttp.onreadystatechange = function () {
		if (xmlhttp.status === 200 && xmlhttp.readyState === 4) {
			if (xmlhttp.responseText !== '') {
				lastCall = returnLastCall(xmlhttp.responseText)
			}else {
				lastCall = returnLastCall(null);
			}
			
		};
	};
	xmlhttp.open('GET', 'http://api.twitter.com/1/trends.json', true);
	xmlhttp.send();
};

var returnLastCall = function (input) {
	var lastCall = input;
	return { "get" : function () {
				if(lastCall !== null){
					return lastCall;
				}else {
					throw {name : 'ResponseTextEmptyException', message : 'The last call was empty'};
					};
				}
		}
};

var printTrends = function (test) {
	var topTwoTrends = [];
	var lastCallToFetch;
	try{
		var lastCallToFetch = lastCall.get();
		 
	}catch(er){
		if(er.name == 'ResponseTextEmptyException'){
			return 'Empty response from Twitter';
		}
		else{return 'An error occured';}
	}
	var trendsParsed = JSON.parse(lastCallToFetch);
	for (var i=0; i < 2; i++) {
		topTwoTrends[i] = trendsParsed.trends[i].name;
	};
 	return topTwoTrends;
};

// fetchTrends.xmlhttp.onreadystatechange:28
// fetchTrends:36
// (anonymous function):2
// InjectedScript._evaluateOn:278
// InjectedScript._evaluateAndWrap:260

// INVALID_STATE_ERR code 11
//   Attempted to use an object that is not useable; this error is generally only thrown by an implementation when it's not able to perform a specific operation for internal reasons.