module('fizzbuzz');

test('zero returns zero', function () {
	equal(fizzbuzz(0), 0); 
});

test('one returns one', function() {
	equal(fizzbuzz(1), 1);
});

test('three returns Fizz', function() {
	equal(fizzbuzz(3), 'Fizz', 'fizzbuzz(3)');
});

test('five returns Buzz', function() {
	equal(fizzbuzz(5),'Buzz', 'fizzbuzz(5)');
});

test('all numbers mod 3 return Fizz', function() {
	for (var i=3; i < 100; i= i+3) {
		if((i % 5) !== 0){
		equal(fizzbuzz(i), 'Fizz', 'fizzbuzz(' + i +')');
		};
	};
});

test('all numbers mod 5 return Buzz', function() {
	for (var i=5; i < 100; i = i + 5) {
		if((i % 3) !== 0) {
		equal(fizzbuzz(i), 'Buzz', 'fizzbuzz(' + i +')');
		};
	};
});

test('all number mod 5 and 3 return FizzBuzz', function() {
	for (var i=15; i < 100; i = i + 15) {
		equal(fizzbuzz(i), 'FizzBuzz', 'fizzbuzz('+i+')');
	};
});
