var lastCall;

function createXmlHttpRequest () {
	var xmlHttp; 
	if (window.XMLHttpRequest){
		xmlHttp = new XMLHttpRequest();
	}
	else if (window.ActiveXObject) {
	 try {
	  xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
	 } catch(e) {
	  try {
	   xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
	  } catch (e) {
	   throw(e);
	  }
	 }
	};
	return xmlHttp;
};

function fetchTrends (xmlHttp) {
	xmlHttp.onreadystatechange = function () {
		if(xmlHttp.readyState === 4 && xmlHttp.status === 200){
			lastCall = returnLastCall(xmlHttp.responseText);
		}else{ 
			lastCall = returnLastCall(null);
		};
	};
	xmlHttp.open('GET', 'http://api.twitter.com/1/trends.json', true);
	xmlHttp.send();
	
};

function printTrends () {
	var topTwo = [];
	var parsedTrends = JSON.parse(lastCall.get());
	for (var i=0; i < 2; i++) {
		topTwo[i] = parsedTrends.trends[i].name;
	};
	return topTwo;
}

var returnLastCall = function (input) {
	var calltokeep = input;
	return { "get" : function () {
						if(calltokeep !== ''){
							return calltokeep;
						}else {
							throw {name: 'EmptyLastResponse', message: 'Unable to connect to Twitter'}
						}
						}
					};
};
						