describe("FizzBuzz", function() {
	it("return 1 on 1", function() {
		expect(fizzbuzz(1)).toEqual(1);
	});
	it("return 2 on 2", function() {
	  expect(fizzbuzz(2)).toEqual(2);
	});
	it("should return Fizz on 3", function() {
	  expect(fizzbuzz(3)).toEqual("Fizz");
	});
	it("should return Buzz on 5", function() {
	  expect(fizzbuzz(5)).toEqual("Buzz");
	});
	it("it should return Fizz on all numbers modulo 3", function() {
	  for (var i=0; i < 101; i=i+3) {
		if(i%5 !== 0){	
	  	expect(fizzbuzz(i)).toEqual("Fizz");
		};
	  };
	});
	it("should return Buzz on all numbers modulo 5", function() {
	  for (var i = 0; i < 101; i = i + 5){
		if(i % 5 !== 0) {
		expect(fizzbuzz(i)).toEqual("Buzz");
		}
	  };
	});
	it("should return FizzBuzz on all numbers mod 5 and mod 3", function() {
	for (var i=0; i < 101; i=i+15) {
		expect(fizzbuzz(i)).toEqual("FizzBuzz");
	};
	});
});