describe 'Alias'
 describe 'start'
    it 'should start a new game with 0 points'
		var alias = startGame();
		alias.points.should.equal 0
	end
  end
	describe 'word fetcher'
	  it 'should return a string not equal to empty'
		var alias = startGame();
		stub(alias, 'newWord').and_return("testword");
		alias.newWord().should.not.equal ''	    
	  end
	end
	describe 'round'
	before_each
	  SIXTY_SECONDS = 60*1000
	  alias = startGame();
	  stub(alias, 'newWord').and_return("testword");
	  alias.startRound();
	end
	 it 'should get one point on an ok'
	    alias.newWord();
		alias.ok();
		alias.points.should.equal 1
	  end
	it 'should get a minus point on a pass'
	  alias.newWord();
	  alias.pass();
	  alias.points.should.equal -1
	end
	it 'should not give new points after a round is ended'
		alias.newWord();
		tick(SIXTY_SECONDS)
		alias.ok();
		alias.points.should.equal 0
	end
	it 'should give 1 point with 6 okays and 5 passes'
	  alias.newWord();
	  round(alias, 6, 5);
	  tick(SIXTY_SECONDS);
  	  round(alias, 6, 5);
	alias.points.should.equal 1
	end
	end
end