var x;
describe 'DOM test'
	before_each	
		x = document.createElement('div') 
		x.innerHTML = fixture('node.html');
		document.body.appendChild(x);
	end
	after_each
		document.body.removeChild(x);
	end
 	describe 'of node fetching'
			it 'with the id text'
				var node = fetchNode();
				node.id.should.equal "text"
			end
			it 'should have content SomeContent'
			    var node = fetchNode();
  				node.innerText.should.equal 'SomeContent'
			end
			it 'should update text'
			  	var node = fetchNode();
			  	node.updateText("InnerText");
				node.innerText.should.equal "InnerText"
			end
 	end
end