var trends = {};

var fetchTrends = function(){
	
	var xmlHttp = createXmlHttp();
	
	xmlHttp.onreadystatechange = function () {
	  if (xmlHttp.readyState==4 && xmlHttp.status==200){
			if(xmlHttp.responseText !=='' ){
				trends = xmlHttp.responseText;
				}
			else {
				throw 'ResponseTextException';
			}
		};
	};
	xmlHttp.open('GET', 'http://api.twitter.com/1/trends.json', true);
	xmlHttp.send();
};


function topTwoTwitterTrends () {
	try{
		fetchTrends();}
	catch (er) 
	{
		if (er === 'ResponseTextException'){
			return 'No response from Twitter'
		}
	}
	var trendsAsJsObject  = JSON.parse(trends.trends);
	var topTwoTrends = [];
	for (var i = 0; i < 2; i++){
		topTwoTrends[i] = trendsAsJsObject[i].name;
	}
	return topTwoTrends;
}

 var createXmlHttp = function() {
	var xmlHttp;
	if (window.XMLHttpRequest) {
	 xmlHttp = new XMLHttpRequest();
	} else if (window.ActiveXObject) {
	 try {
	  xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
	 } catch(e) {
	  try {
	   xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
	  } catch (e) {
	   throw(e);
	  }
	 }
	};
	return xmlHttp;
}
