var alias = (function () {
	var points;
	var inPlay = false;
	var SIXTY_SECONDS = 60 * 1000;
	
	return { newGame : function () {
				this.points = 0;
				this.inPlay = true;
				setTimeout(function () {
					alias.endGame();
				}, this.SIXTY_SECONDS);
			},
			getPoints : function () {
				return this.points;
			},
			ok : function () {
					if (this.inPlay) {
					this.points +=1;
				};
			},
			pass : function () {
				if (this.inPlay) {
				this.points -=1;
				};
			},
			endGame : function () {
				this.inPlay = false; 
			},
			newWord : function () {
				return wordDB.nextWord();
			}
		
	}
})();