TestCase("FizzBuzzKata", {
	"test on 0 return 0": function(){
		var result = fizzbuzz(0);
		assertEquals("Zero",0, result);
	},
	"test on 1 return 1": function(){
		var result = fizzbuzz(1);
		assertEquals(1, result);
	},
	"test on 3 return fizz": function(){
		var result = fizzbuzz(3);
		assertEquals("fizz", result);
	},
	"test on 5 return buzz": function(){
		var result = fizzbuzz(5);
		assertEquals("buzz", "buzz", result);
	},
	"test on %3 return fizz": function(){
		for (var i = 3; i<100; i=i+3) {
			if ( (i % 5) !== 0 ){
				assertEquals("%3 is fizz on "+i, "fizz", fizzbuzz(i));
			}
		};
	},
	"test on %5 return buzz": function(){
		for (var i = 5; i < 100; i=i+5){
			if ( (i % 3) !== 0 ){
				assertEquals("%5 is buzz on "+i, "buzz", fizzbuzz(i)); 
				}
		};
	},
	"test on %5 and %3 return fizzbuzz": function(){
		for (var i = 15; i < 100; i = i + 15){
			assertEquals("% 5 && %3 is fizzbuzz on "+i, "fizzbuzz", fizzbuzz(i));
		};
	}
});




