function createXmlHttpRequest () {
	var xmlHttp; 
	if (window.XMLHttpRequest){
		xmlHttp = new XMLHttpRequest();
	}
	else if (window.ActiveXObject) {
	 try {
	  xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
	 } catch(e) {
	  try {
	   xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
	  } catch (e) {
	   throw(e);
	  }
	 }
	};
	return xmlHttp;
};

function fetchTrends (callback) {
	var xmlHttp = createXmlHttpRequest();
	
	xmlHttp.onreadystatechange = function () {
		if (xmlHttp.readyState === 4 && xmlHttp.status === 200){
			callback(xmlHttp.responseText);
		};
	};
		
	xmlHttp.open('GET', 'http://api.twitter.com/1/trends.json', true);
	xmlHttp.send();
};

var lastResponse = (function () {
	var oldResponse;
	return {save : function (newResponse) {
			oldResponse =  newResponse;
		},
		get : function () {
			if(oldResponse !== ""){
				return oldResponse;
			}
			throw {name: 'UndefinedLastResponse', message : 'Unable to connect or retrieve from Twitter. Please try fetching trends again'};
		}
	};
})();

function printTrends () {
	var topTwo = [];
	try{
		var parsedTrends = JSON.parse(lastResponse.get());
		for (var i=0; i < 2; i++) {
			topTwo[i] = parsedTrends.trends[i].name;
		};
	}catch(er){
		if(er.name == 'UndefinedLastResponse'){
			topTwo = 'Unable to retrive a response from Twitter';
		}
	};
	return topTwo;
}

function print (argument) {
	console.log('argument is '+ argument);
};