function startGame () {
	var SIXTY_SECONDS = 60 * 1000;
	var game = {};
	
	game.points = 0;
	game.inPlay = true; 
	
	game.acceptWord = function () {
		if (game.inPlay) {
			game.points += 1;
		};
	};
	
	game.passWord = function () {
		if (game.inPlay) {
			game.points -= 1;
		};
	};
	
	game.end = function () {
		game.inPlay = false;
	};
	
	setTimeout(function () {
		game.end();
	}, SIXTY_SECONDS);
	
	game.newWord = function () {
		db.getNextWord();
	};
	
	return game;
}