var lastResponse;

function createXmlHttpRequest() {
	var xmlHttp;
	if (window.XMLHttpRequest) {
		xmlHttp = new XMLHttpRequest();
	} else { 
		xmlHttp = new ActiveXObject(Microsoft.XMLHTTP); 
		};
	return xmlHttp;
};

function fetchTrends (xmlHttp) {
	
	xmlHttp.onreadystatechange = function () {
		if(xmlHttp.readyState == 4 && xmlHttp.status == 200){
			lastResponse = saveLastResponse(xmlHttp.responseText);
		}else {
			lastResponse = saveLastResponse(null);
		}
		
	};
	
	xmlHttp.open("GET","http://api.twitter.com/1/trends.json",true);
	xmlHttp.send();
	
};

function printTrends () {
	var topTwo = [];
	try{
		var parsedLastResponse = JSON.parse(lastResponse.get());
	}catch(er){
		return er.message;
	};
	for (var i=0; i < 2; i++) {
		topTwo[i] = parsedLastResponse.trends[i].name;
	};
	return topTwo;
};

function saveLastResponse(response) {
	var lastResponse = response;
	return { get : function () {
				if (response !== null){
				return lastResponse;
				}else {
					throw {'name': 'ResponseError' , 'message' : 'Unable to connect to or retrieve from Twitter' };
				};
				
			},
			reset : function () {
				lastResponse = '';
			}
	};
};